	.psect	.prog.
setup:
	jsr	r0,__csav
	sub	$120,sp
	mov	r5,r0
	add	$177700,r0
	mov	r0,-102(r5)
.3:
	cmp	-102(r5),r5
	bhis	.2
	mov	-102(r5),r0
	inc	-102(r5)
	clrb	(r0)
	br	.3
.2:
	clr	-110(r5)
	mov	$145,-112(r5)
	mov	r5,r0
	add	$177700,r0
	mov	r0,-102(r5)
	clr	-106(r5)
	br	.6
.5:
	inc	-106(r5)
.6:
	cmp	-106(r5),$10
	bge	.4
	mov	-102(r5),r0
	add	$10,r0
	mov	r0,-104(r5)
.7:
	jsr	pc,getchar
	mov	r0,-114(r5)
	br	.11
.12:
	sub	$144,-112(r5)
	mov	$6,-114(r5)
	mov	r5,-(sp)
	add	$177700,(sp)
	mov	-102(r5),r0
	sub	(sp)+,r0
	mov	r0,-120(r5)
	br	.10
.13:
	dec	-112(r5)
	mov	$177772,-114(r5)
	mov	r5,-(sp)
	add	$177700,(sp)
	mov	-102(r5),r0
	sub	(sp)+,r0
	mov	r0,-116(r5)
	br	.10
.14:
	mov	$1,-114(r5)
	br	.10
.15:
	mov	$177777,-114(r5)
	br	.10
.16:
	mov	$2,-114(r5)
	br	.10
.17:
	mov	$177776,-114(r5)
	br	.10
.20:
	mov	$3,-114(r5)
	br	.10
.21:
	mov	$177775,-114(r5)
	br	.10
.22:
	mov	$4,-114(r5)
	br	.10
.23:
	mov	$177774,-114(r5)
	br	.10
.24:
	mov	$5,-114(r5)
	br	.10
.25:
	mov	$177773,-114(r5)
	br	.10
.26:
.27:
.30:
.31:
.32:
.33:
.34:
.35:
	mov	-114(r5),r0
	sub	$60,r0
	add	r0,-102(r5)
	br	.7
.36:
	inc	-102(r5)
	br	.7
.37:
	cmp	-102(r5),-104(r5)
	blos	.40
	inc	-110(r5)
.40:
	mov	-104(r5),-102(r5)
	br	.5
.41:
	inc	-110(r5)
	tst	-114(r5)
	bgt	.42
	jsr	pc,onhup
.42:
	br	.7
.11:
	mov	r0,.77777
	mov	$.77776,r1
	cmp	r0,(r1)+
	bne	.-2
	jmp	*.77777-.77776(r1)
.77776:
	.word	12
	.word	40
	.word	61
	.word	62
	.word	63
	.word	64
	.word	65
	.word	66
	.word	67
	.word	70
	.word	102
	.word	113
	.word	116
	.word	120
	.word	121
	.word	122
	.word	142
	.word	153
	.word	156
	.word	160
	.word	161
	.word	162
.77777:
	.blkw	1
	.word	.37
	.word	.36
	.word	.26
	.word	.27
	.word	.30
	.word	.31
	.word	.32
	.word	.33
	.word	.34
	.word	.35
	.word	.20
	.word	.12
	.word	.16
	.word	.14
	.word	.24
	.word	.22
	.word	.21
	.word	.13
	.word	.17
	.word	.15
	.word	.25
	.word	.23
	.word	.41
.10:
	cmp	-102(r5),-104(r5)
	bhis	.43
	mov	-102(r5),r0
	inc	-102(r5)
	movb	-114(r5),(r0)
.43:
	br	.7
.4:
	tst	-112(r5)
	beq	.44
	inc	-110(r5)
.44:
	tst	-110(r5)
	beq	.45
	.psect	.strn.
.46:
	.byte	111
	.byte	154
	.byte	154
	.byte	145
	.byte	147
	.byte	141
	.byte	154
	.byte	40
	.byte	163
	.byte	145
	.byte	164
	.byte	165
	.byte	160
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.46,(sp)
	jsr	pc,printf
	br	.1
.45:
	clr	-106(r5)
	br	.51
.50:
	inc	-106(r5)
.51:
	cmp	-106(r5),$100
	bge	.47
	mov	r5,r0
	add	-106(r5),r0
	movb	-100(r0),r0
	mov	r0,-(sp)
	mov	-106(r5),r0
	asl	r0
	add	$board,r0
	mov	(sp)+,(r0)
	br	.50
.47:
	mov	$ambuf+2,amp
	mov	$lmbuf+2,lmp
	mov	$100,eppos
	clr	bookp
	clr	mantom
	mov	$1,moveno
	mov	-116(r5),wkpos
	mov	-120(r5),bkpos
	clr	flag
	cmp	wkpos,$74
	bne	.52
	cmp	board+160,$177774
	bne	.53
	bis	$2,flag
.53:
	cmp	board+176,$177774
	bne	.54
	bis	$1,flag
.54:
.52:
	cmp	bkpos,$4
	bne	.55
	cmp	board,$4
	bne	.56
	bis	$20,flag
.56:
	cmp	board+16,$4
	bne	.57
	bis	$10,flag
.57:
.55:
	.psect	.strn.
.60:
	.byte	123
	.byte	145
	.byte	164
	.byte	165
	.byte	160
	.byte	40
	.byte	163
	.byte	165
	.byte	143
	.byte	143
	.byte	145
	.byte	163
	.byte	163
	.byte	146
	.byte	165
	.byte	154
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.60,(sp)
	jsr	pc,printf
.1:
	jmp	__cret
	.globl	printf
	.globl	onhup
	.globl	getchar
	.globl	setup
	.globl	sbuf
	.globl	ambuf
	.globl	lmbuf
	.globl	board
	.globl	dir
	.globl	ipval
	.globl	pval
	.globl	edge
	.globl	column
	.globl	wkpos
	.globl	bkpos
	.globl	eppos
	.globl	flag
	.globl	depth
	.globl	mfmt
	.globl	ivalue
	.globl	value
	.globl	ply
	.globl	mantom
	.globl	lastmov
	.globl	sbufp
	.globl	amp
	.globl	lmp
	.globl	abmove
	.globl	game
	.globl	gval
	.globl	moveno
	.globl	intrp
	.globl	matflg
	.globl	manflg
	.globl	bookp
	.globl	bookf
	.globl	mdepth
	.globl	qdepth
	.globl	testf
	.globl	clktim
	.globl	control
	.globl	bheur
	.globl	wheur
	.globl	center
	.globl	attacv
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
